<?php

/**
 * @var \Illuminate\Database\Eloquent\Collection $content
 */

use kernel\modules\user\models\User;
use Itguild\EloquentTable\ViewEloquentTable;
use Itguild\EloquentTable\ViewJsonTableEloquentModel;
use kernel\IGTabel\btn\DangerBtn;
use kernel\IGTabel\btn\PrimaryBtn;
use kernel\IGTabel\btn\SuccessBtn;

$table = new ViewEloquentTable(new ViewJsonTableEloquentModel($content, [
    'params' => ["class" => "table table-bordered", "border" => "2"],
    'baseUrl' => "/admin/post",
]));
$table->beforePrint(function () use ($content) {
    $btn = PrimaryBtn::create("Список", "/admin/post")->fetch();
    $btn .= SuccessBtn::create("Редактировать", "/admin/post/update/" . $content->id)->fetch();
    $btn .= DangerBtn::create("Удалить", "/admin/post/delete/" . $content->id)->fetch();
    return $btn;
});
$table->rows([
    'created_at' => function ($data) {
        if (!$data){
            return null;
        }
        return (new DateTimeImmutable($data))->format("d-m-Y");
    },
    'updated_at' => function ($data) {
        if (!$data){
            return null;
        }
        return (new DateTimeImmutable($data))->format("d-m-Y");
    },
    'user_id' => (function ($data) {
        return User::find($data)->username;
    })
]);
$table->create();
$table->render();